Foxit PDF SDK

Public Member Functions | List of all members
FSDK.Redaction Class Reference

## Public Member Functions
| Apply ()
| Apply redaction in marked areas: remove the text or graphics under marked areas permanently. More...
| constructor (document)
| Constructor, from a PDF document object. More...
| EnableFileStream (temp_directory_path, apply_redaction_callback)
| Enable file stream for image object during applying. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| MarkRedactAnnot (page, rects)
| Mark page contents (text object, image object, and path object) which are to be redacted. More...
| StartApply (pause)
| Start to apply redaction in marked areas: remove the text or graphics under marked areas permanently. More...

## Detailed Description

Redacting a PDF file allows user to hide sensitive information while keeping the document's formatting. This class can be used to mark page contents with redact annotations and apply redaction to permanently remove (redact) visible text and images from PDF documents to protect confidential information such as social security numbers.

See also
  FSDK.Redact

## Member Function Documentation

## ◆ Apply()

FSDK.Redaction.Apply | ( |  | ) |

Apply redaction in marked areas: remove the text or graphics under marked areas permanently.

Once this functions is called, all the marked page content(text object, image object, and path object) in the document will be removed permanently. All the redact annotations which specify marked areas will be removed (with their pop-up annotations) and these marked areas will be filled by the color specified by FSDK.Redact.SetApplyFillColor.

Returns
  true means success, while false means failure.

## ◆ constructor()

FSDK.Redaction.constructor | ( | document |  | ) |

Constructor, from a PDF document object.

Parameters

  [in] | document | A valid PDF document object.

Note
  If module "Redaction" is not defined in the license information which is used in function , that means user has no right in using redaction related functions and this constructor will throw exception FSDK.e_ErrNoRedactionModuleRight .

## ◆ EnableFileStream()

FSDK.Redaction.EnableFileStream | ( | temp_directory_path | ,
|  | apply_redaction_callback |
| ) |  |

Enable file stream for image object during applying.

Once this functions is called, the image object stream will be written into the temporary file in the directory which is specified in temp_directory_path. The temporary file must be kept before destroying document and will be automatically deleted during destroying document.

Parameters

  temp_directory_path | The temporary directory path. If it is empty, the temporary directory will be current path default.
  apply_redaction_callback | The callback for applying redaction which is implemented based on callback class FSDK.ApplyRedactionCallback.

Returns
  None.

## ◆ IsEmpty()

FSDK.Redaction.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ MarkRedactAnnot()

FSDK.Redaction.MarkRedactAnnot | ( | page | ,
|  | rects |
| ) |  |

Mark page contents (text object, image object, and path object) which are to be redacted.

This function is to add special marks (called redact annotation) to the specified rectangles areas, in order to redact page contents in these areas. Usually, the marked area has two appearance:

- Normal appearance, which is used when the marked area is not interacting with the user. The border color (also known as stroke color) can be set by FSDK.Annot.SetBorderColor. The fill color can be set by FSDK.Redact.SetFillColor. The opcacity can be set by FSDK.Markup.SetOpacity.
- Rollover appearance, which is used when the user moves the cursor into the marked area without pressing the mouse button. The border color and fill color are the same and can be set by FSDK.Redact.SetApplyFillColor.

Once function FSDK.Redaction.Apply is called, all the page contents under these marked area will be removed permanently and these marked areas will keep their rollover appearance all the time.

Parameters

  [in] | page | A PDF page whose content will be marked.
  [in] | rects | Specify areas in the page to be marked. It should not be an empty array. All the input rectangles will be treated as one redact annotation.

Returns
  A redact annotation object (along with a pop-up annotation by default), with default appearance:
  apply fill color = black, border color = red, opacity = 1.0.

## ◆ StartApply()

FSDK.Redaction.StartApply | ( | pause |  | ) |

Start to apply redaction in marked areas: remove the text or graphics under marked areas permanently.

This function is similar to function FSDK.Redaction.Apply, but this function will return a progressive object which can be used to do the redaction progressively.

Parameters

  [in] | pause | A callback object which decides if the applying process should be paused. This can be NULL which means not to pause during the applying process. If this is not NULL, it should be a valid pause object implemented by user. Default value: NULL.

Returns
  A progressive object. Please check the rate of current progress by function FSDK.Progressive.GetRateOfProgress. If the rate is not 100 yet, call function FSDK.Progressive.Continue to continue the progress until the progress is finished.